<?php
/**
 *	POWER + SITE  -  Core -> [CLASS] User
 *	Auteur : Power + Technologie <http://power-plus-technologie.fr>
 *	Licence : Creative Commons BY-NC
 */

class User {
	private $_infos = array();

	const PROPRIO = 0;
	const ADMIN = 1;
	const REDAC = 3;

	public function connexion($nom, $mdp) {
		$sql = new sSQL();
		$role = array('proprio' => 0, 'admin' => 1, 'modo' => 2, 'redacteur' => 3, 'membre' => 4);
		$retour = false;
		$req = $sql->query("SELECT * FROM `T{core_membres}`");
		while($data = $req->fetch()) {
			if($data['nom'] == $nom && $data['mdp'] == pphash($mdp)) {
				$this->_infos['nom'] = $nom;
				$this->_infos['role'] = $role[$data['role']];
				$_SESSION['connexion'] = serialize($this);
				return true;
			}
		}
		return false;
	}
	
	
	public function get($a) {
		if($a == 'droits')
			return $this->_droits();
		elseif($a == 'droitId')
			return $this->_droitsID();
		else
			return $this->_infos[$a];
	}
	
	
	public function _droitsID() {
		return $this->_infos['role'];
	}
	
	public function _droits() {
		if($this->_infos['role'] == 0) {
			$is_proprio = true;
			$is_admin = true;
			$is_modo = true;
			$is_redac = true;
		}
		elseif($this->_infos['role'] == 1) {
			$is_proprio = false;
			$is_admin = true;
			$is_modo = true;
			$is_redac = true;
		}
		elseif($this->_infos['role'] == 2) {
			$is_proprio = false;
			$is_admin = false;
			$is_modo = true;
			$is_redac = true;
		}
		elseif($this->_infos['role'] == 3) {
			$is_proprio = false;
			$is_admin = false;
			$is_modo = false;
			$is_redac = true;
		}
		
		return array('proprio' => $is_proprio, 'admin' => $is_admin, 'modo' => $is_modo, 'redacteur' => $is_redac);
	}
}
?>