<?php if(0!=0) { ?><html><head><meta content="text/html; charset=utf-8" http-equiv="Content-Type"/></head></html><body><?php }
/**
 *	POWER + SITE  -  Core -> Admin -> [VUE] Menu
 *	Auteur : Power + Technologie <http://power-plus-technologie.fr>
 *	Licence : Creative Commons BY-NC
 */
?>

<h2>Menu</h2>
<?php if(!empty($_GET['menu'])) : ?>
	<ul id="barre-actions">
		<?php if(!empty($_GET['id'])) : ?>
			<li><a href="?menu=<?php echo secureHTML($_GET['menu']); ?>">Nouveau</a></li>
		<?php endif; ?>
		<li><a href="#" onclick="form.submit()">Enregistrer</a></li>
	</ul>
<?php endif; ?>
<div class="page-2-1">
	
	<div class="slide-1">
		<h3>Items</h3>
		<?php if(empty($_GET['menu'])) : ?>
			<p>Sélectionner un menu dans le panneau de droite.</p>
		<?php else : ?>
			<form method="post" action="?menu=<?php echo secureHTML($_GET['menu']); ?>" name="form">
				<table style="width:100%">
					<tr>
						<th><input name="form_send" type="hidden" /></th>
						<th style="width:96%">Texte</th>
						<th>Suppression</th>
					</tr>
					<?php if($items) : ?>
						<?php foreach($items as $data) : ?>
							<tr>
								<td><input value="<?php echo ++$i; ?>" name="ordre_<?php echo (int) $i; ?>" style="width:50px" /></td>
								<td>
									<input type="hidden" value="<?php echo (int) $data['id']; ?>" name="id_<?php echo (int) $i; ?>" />
									
									<a href="?id=<?php echo (int) $data['id']; ?>&amp;menu=<?php echo secureHTML($_GET['menu']); ?>"><?php echo secureHTML($data['text']); ?></a><br/>
									<?php if($data['type'] == 'link') : ?>
										<?php echo secureHTML($data['url']); ?>
									<?php elseif($data['type'] == 'h1') : ?>
										<?php echo secureHTML($data['url']); ?>
									<?php elseif($data['type'] == 'gadget') : ?>
										<?php echo secureHTML($data['dossier']); ?>
									<?php endif; ?>
								</td>
								<td style="text-align:center"><input name="del_<?php echo (int) $i; ?>" type="checkbox" /></td>
							</tr>
						<?php endforeach; ?>
					<?php else : ?>
						<tr><td colspan="3" style="text-align:center">Aucun item</td></tr>
					<?php endif; ?>
				</table>
			</form>
		<?php endif; ?>
	</div>
	
	<div class="slide-2">
		<?php if(!empty($_GET['menu'])) : ?>
			<?php if(!empty($_GET['id'])) : ?>
				<h3>Selection</h3>
				<form action="" method="post">
				<div>
					<input type="hidden" name="m_id" value="<?php echo secureHTML($infos['id']); ?>"/>
					<label>Nom</label>
					<input name="m_text" value="<?php echo secureHTML($infos['text']); ?>" /><br/>
					
					<?php if(array_key_exists('url', $infos)) : ?>
						<label>URL</label>
						<input name="m_url" value="<?php echo secureHTML($infos['url']); ?>" /><br/>
					<?php endif; ?>
					
					<?php if($infos['type'] == 'gadget') : ?>
						<?php include '../gadgets/'.$infos['dossier'].'/options.php'; ?>
					<?php endif; ?>
					
					<button type="submit" class="link"><span>Enregistrer</span></button>
				</div>
				</form>
		<?php else : ?>
			<h3>Nouveau</h3>
			<form action="?menu=<?php echo secureHTML($_GET['menu']); ?>" method="post">
			<div>
				Type : <a href="#" class="link" id="type-lien" onclick="changeType(this)">Lien</a> | 
				<a href="#" class="titre" id="type-titre" onclick="changeType(this)">Titre</a> | 
				<a href="#" class="gadget" id="type-gadget" onclick="changeType(this)">Gadget</a>
				

				<div id="rest" style="display:none">
					<p id="p-titre-lvl">
						Niveau : <a href="#" id="t-h1" class="h1" onclick="changeH(this)">H1</a> | 
						<a href="#" id="t-h2" class="h2" onclick="changeH(this)">H2</a> | 
						<a href="#" id="t-h3" class="h3" onclick="changeH(this)">H3</a>
					</p>

					<label>Texte</label>
					<input name="text" /><br/>
					
					<p id="p-url">
						<label>URL</label>
						<input name="url" /><br/>
					</p>
					
					<p id="p-gadget">
						<label>Gadget</label>
						<select name="dossier">
							<option>lecteur-rss</option>
						</select>
					</p>
					
					<button type="submit" class="link"><span>Enregistrer</span></button>
					<input type="hidden" id="type" name="type" />
				</div>
			</div>
			</form>
		<?php endif; ?>
	<?php endif; ?>
	
		<h3>Menus</h3>
		<ul>
			<?php foreach($listMenus as $data) : ?>
				<li><a href="menu.php?menu=<?php echo $data; ?>"><?php echo $data; ?></a></li>
			<?php endforeach; ?>
		</ul>
	</div>
</div>

<script type="text/javascript">
function changeH(elmt) {
	document.getElementById('t-h1').style.color = '#0168e7';
	document.getElementById('t-h2').style.color = '#0168e7';
	document.getElementById('t-h3').style.color = '#0168e7';
	elmt.style.color = 'black';
	document.getElementById('type').value = elmt.className;
}


function changeType(elmt) {
	document.getElementById('type').value = elmt.className;
	document.getElementById('type-lien').style.color = '#0168e7';
	document.getElementById('type-titre').style.color = '#0168e7';
	document.getElementById('type-gadget').style.color = '#0168e7';
	elmt.style.color = 'black';
	document.getElementById('rest').style.display = 'block';
	
	if(elmt.id == 'type-gadget')
		document.getElementById('p-url').style.display = 'none';
	else
		document.getElementById('p-url').style.display = 'block';


	if(elmt.id != 'type-gadget')
		document.getElementById('p-gadget').style.display = 'none';
	else
		document.getElementById('p-gadget').style.display = 'block';

	if(elmt.id != 'type-titre')
		document.getElementById('p-titre-lvl').style.display = 'none';
	else {
		document.getElementById('p-titre-lvl').style.display = 'block';
		changeH(document.getElementById('t-h1'));
		document.getElementById('type').value = 'h1';
	}
}
</script>