<?php
/**
 *	POWER + SITE  -  Core -> Setup (interface)
 *	Auteur : Power + Technologie <http://power-plus-technologie.fr>
 *	Licence : Creative Commons BY-NC
 */

function post($post, $defaut = '') {
	if(isset($_POST[$post]))
		return $_POST[$post];
	else
		return $defaut;
}

$o = '';

if(isset($_POST['serv'])) {
	//	Serveur
	$bdd['serv'] = $_POST['serv'];
	//	Utilisateur
	$bdd['user'] = $_POST['user'];
	//	Mot de passe
	$bdd['mdp'] = $_POST['bdd_mdp'];
	//	Base de données
	$bdd['bdd'] = $_POST['bdd'];
	//	Prefixe de table
	$bdd['pre'] = $_POST['pre'];
	//	Nom
	$admin['nom'] = $_POST['admin'];
	//	Mot de passe
	$admin['mdp'] = $_POST['admin_mdp'];
	//	Nom
	$site['nom'] = 'Power + Site';
	//	Slogan
	$site['slogan'] = 'Vous pourrez modifier le titre dans l\'administration.';
	//	Adresse
	$site['url'] = '';
	
	if(!empty($admin['nom']) && !empty($admin['mdp'])) {
		ob_start();
		require 'setup.php';
		$o = ob_get_contents();
		ob_clean();
	}
	else {
		$o = '<p>Les données de la section "action" ne peuvent pas être vide.';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<title>Installation de Power + Site</title>
</head>

<body>
	<h1>Installation de Power + Site</h1>
	
	<?php echo $o; ?>
	
	<form method="post" action="">
		<fieldset>
			<legend>Base de données</legend>
			<p>
				<label for="serv">Serveur</label>
				<input id="serv" name="serv" value="<?php echo post('serv'); ?>" />
			</p>
			<p>
				<label for="user">Utilisateur</label>
				<input id="user" name="user" value="<?php echo post('user'); ?>" />
			</p>
			<p>
				<label for="bdd_mdp">Mot de passe</label>
				<input id="bdd_mdp" name="bdd_mdp" value="<?php echo post('bdd_mdp'); ?>" type="password" />
			</p>
			<p>
				<label for="bdd">Base de donnée</label>
				<input id="bdd" name="bdd" value="<?php echo post('bdd'); ?>" />
			</p>
			<p>
				<label for="pre">Préfixe de table</label>
				<input id="pre" name="pre" value="<?php echo post('pre', 'pps_'); ?>" />
			</p>
		</fieldset>
		<fieldset>
			<legend>Administrateur</legend>
			<p>
				<label for="admin">Nom de l'administrateur</label>
				<input id="admin" name="admin" value="<?php echo post('admin'); ?>" />
			</p>
			<p>
				<label for="admin_mdp">Mot de passe</label>
				<input id="admin_mdp" name="admin_mdp" type="password" />
			</p>
		</fieldset>
		<p><input type="submit" value="Installer" /></p>
	</form>

</body>

</html>