<?php
/**
 *	POWER + SITE  -  Core -> Load
 *	Auteur : Power + Technologie <http://power-plus-technologie.fr>
 *	Licence : Creative Commons BY-NC
 */


ini_set('arg_separator.output','&amp;'); 
ini_set('arg_separator.output',';');
ini_set('session.use_trans_sid','0');

if(get_magic_quotes_gpc()) {
	$_POST = array_map('stripslashes', $_POST);
	$_GET = array_map('stripslashes', $_GET);
	$_COOKIE = array_map('stripslashes', $_COOKIE);
}

if(!defined('ROOT')) {
	if(in_array('admin', explode('/', $_SERVER['REQUEST_URI'])))
		define('ROOT', '../');
	else
		define('ROOT', '');
}

if(!file_exists(ROOT .'core/conf/setting.php')) 
	header('Location: '. ROOT .'setup.php');

if(!defined('BDD_NOM'))
	require_once ROOT . 'core/conf/setting.php';


require_once ROOT . 'core/lib/page.class.php';
require_once ROOT . 'core/lib/core.fx.php';
require_once ROOT . 'core/lib/theme.class.php';
require_once ROOT . 'core/lib/admin-menu.php';
require_once ROOT . 'core/lib/menu.class.php';
require_once ROOT . 'core/lib/secure.fx.php';
require_once ROOT . 'core/lib/php-plus.php';

if(!class_exists('sSQL')) {
	require ROOT . 'core/lib/selecteur_sql.php';
}
require_once ROOT . 'core/lib/user.class.php';


$sql = new sSQL();


//===================================
// Définition des constantes du site
//===================================

//	Constantes fondamentales pour Power + Site
$siteURL = '';			$siteNom = '';		$siteSlogan = '';
$description = '';		$mot_cle = '';		$version = '';

$req = $sql->query("SELECT * FROM `T{core_options}`");
while($data = $req->fetch()) {
	if($data['nom'] == 'site_url') $siteURL = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'site_nom') $siteNom = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'site_slogan') $siteSlogan = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'description') $description = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'mot_cle') $mot_cle = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'version') $version = htmlspecialchars(stripslashes($data['valeur']));
	if($data['nom'] == 'theme_admin') $themeAdminNom = $data['valeur'];
	if($data['nom'] == 'theme') $themeNom = $data['valeur'];
	if($data['nom'] == 'page_accueil') $accueil = $data['valeur'];
}

define('SITE_URL', $siteURL);
define('SITE_NOM', $siteNom);
define('SITE_SLOGAN', $siteSlogan);
define('SITE_DESCRIPTION', $description);
define('SITE_MOT_CLE', $mot_cle);
define('PPS_VERSION', $version);
define('FILE_VERSION', file_get_contents(ROOT . 'core/conf/version.txt'));

if(!isset($themeAdminNom))
	$themeAdminNom = 'admin_2';
if(!isset($themeNom))
	$themeNom = 'defaut';

define('THEME_SITE', $themeNom);
define('THEME_ADMIN', $themeAdminNom);
?>