function toggleFade($elmt) {
	if($($elmt).css('display') == 'none') {
		$($elmt).fadeIn();
	}
	else {
		$($elmt).fadeOut();
	}
}
	
function setCookie(sName, sValue) {
    var today = new Date(), expires = new Date();
    expires.setTime(today.getTime() + (365*24*60*60*1000));
    document.cookie = sName + "=" + sValue + ";expires=" + expires.toGMTString();
}

function getCookie(sName) {
	var oRegex = new RegExp("(?:; )?" + sName + "=([^;]*);?");
	
	if (oRegex.test(document.cookie)) {
		return decodeURIComponent(RegExp["$1"]);
	} 
	else {
		return null;
	}
}

function supprFavoris($elmt) {
	$elmt.find('a').remove();
}

$(function() {
	$('#contenu').click(function() {
		$('#menu-rabas').fadeOut();
	});
	
//	Dplacement des items du menu vers la barre de favoris
	$("#menu-rabas li").draggable({ 
		connectToSortable: '#menu-zone-favoris',
		helper: 'clone',
		revert: 'invalid'
	});
	$("#menu-zone-favoris").sortable({
		revert: true,
		update: function() {
			var elmt = document.getElementById('menu-zone-favoris').getElementsByTagName('li');
			var html = '';
			for(i = 0; i != elmt.length; i++) {
				if(elmt[i].innerHTML != '')
					html += '<li>' + elmt[i].innerHTML + '</li>';
			}
			setCookie('favoritesBar', html);
		}
	});
	$("ul, li").disableSelection();

//	Mise  la corbeille des items
	$('#menu-btn').droppable({
		accept: '#menu-zone-favoris > li',
		drop: function(ev, ui) {
			supprFavoris(ui.draggable);
		}
	});
	if(getCookie('favoritesBar')) {
		document.getElementById('menu-zone-favoris').innerHTML = getCookie('favoritesBar');
	}
});

