<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<link href="../<?php echo $this->theme['chemin']; ?>/style.css" rel="stylesheet" type="text/css" />
		<link href="../<?php echo $this->theme['chemin']; ?>/box.css" rel="stylesheet" type="text/css" />
		<link href="../core/css/jquery/ui.all.css" rel="stylesheet" type="text/css" />
		<script type="text/javascript" src="../core/js/jquery.js"></script>
		<script type="text/javascript" src="../core/js/jquery-ui.js"></script>
		<script type="text/javascript" src="../core/js/fx_code.js"></script>
		<script type="text/javascript" src="../<?php echo $this->theme['chemin']; ?>/main.js"></script>
		<title>Administration de <?php echo $this->site['nom']; ?> - <?php echo $this->site['titre']; ?></title>
	</head>
	<body>
		<noscript>
			<style type="text/css">
			/*
				NO JS
			*/
			#menu-btn {
				display:none;
			}
			#menu-zone-favoris {
				display:none;
			}
			#menu-rabas {
				background:transparent;
				border:none;
				margin-left:0px;margin-top:0px;
				padding-top:0px;
				position:fixed;
				display:block;
				width:900px;
				float:left;
			}
			#menu-rabas li {
				display:inline-block;
				height:22px;
			}
			#menu-rabas li a {
				display:inline-block;
				padding:2px 5px 0px 5px;
				height:22px;
				color:white;
			}
			</style>
		</noscript>
		<div id="page">
			<div id="header">
				<div id="menu">
					<div id="menu-btn">
						<a href="#" onclick="toggleFade('#menu-rabas')">Menu</a>
					</div>
					<div id="menu-rabas">
						<?php echo $this->menu['admin']; ?>
					</div>
					<div id="menu-favoris">
						<ul id="menu-zone-favoris">
							<li><a href="../">Retour au site</a></li>
						</ul>
					</div>
					<div id="menu-membre">
						<strong><?php echo MBR_NOM; ?></strong>  
						<a href="../connexion.php?deconnexion=true"><img src="<?php echo $this->site['url']; ?>/<?php echo $this->theme['chemin']; ?>/deconnexion.png" alt="Déconnexion" /></a>
					</div>
				</div>
			</div>
			<div id="content">
				<div id="contenu">
					<div id="contenu-texte">
						<?php echo $this->site['contenu']; ?>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>